
bin_PROGRAMS = twin4 twin4proc
twin4_SOURCES = main.cpp twin4.cpp twin4view.cpp twin4doc.cpp \
                twin4player.cpp kspritecache.cpp \
	            	scorewidget.cpp prefs.kcfgc settings.ui statistics.ui statuswidget.ui

twin4_LDADD   = $(LIB_KFILE) $(LIB_TDEGAMES)
twin4_DEPENDENCIES = $(LIB_TDEGAMES_DEP)

twin4proc_SOURCES = twin4proc.cpp
twin4proc_LDADD   = $(LIB_KFILE) $(LIB_TDEGAMES)
twin4proc_DEPENDENCIES = $(LIB_TDEGAMES_DEP)

INCLUDES = -I$(top_srcdir)/libtdegames -I$(top_srcdir)/libtdegames/kgame $(all_includes)

METASOURCES = AUTO

rcdir = $(kde_datadir)/twin4
rc_DATA = twin4ui.rc

twin4_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_KIO) -lktexteditor
twin4proc_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_KIO) -lktexteditor

kde_kcfg_DATA = twin4.kcfg

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/twin4.pot 

